cls
@echo off

REM change this variable to indicate where the DigiView software is installed.
REM The default installation directory is: "C:\Program Files (x86)\TechTools\DigiView\"
REM you should not need to change this unless you chose a custom location during the 
REM DigiView installation. Enclose in quotes and don't forget the trailing '\'!
set dest="C:\Program Files (x86)\TechTools\DigiView\"

echo.
echo DigiView patch file.
echo   Patches DigiView software versions 9.2.4 and earlier to improve USB Thold margins for DV509 and DV518 models.
echo.
echo * This file *MUST* be run 'as administrator'.
echo   Either run it from an Admin Command Prompt, or
echo   Right click on this file and select 'Run As Administrator'.
echo. 
echo * This file assumes your DigiView software is located at:
echo   %dest%.
echo   If you chose a different location during the install, edit the
echo   'dest' variable in this file to reflect the actual location.
echo.
echo   Close any/all running copies of the DigiView software and then
echo.

choice /c ac /n /m "Press C to Continue or A to Abort : "
if %errorlevel%==1 goto EOF
if %errorlevel%==2 goto START

:START
echo.
echo =============================================
@echo on
copy /b %~dp0\dvl2.bin %dest%
@echo off
if errorlevel 1 goto:FAILED

:SUCCESS
echo =============================================
echo.
echo Success.
goto:DONE

:FAILED
echo =============================================
echo.
echo FAILED

:DONE
echo.
pause

:EOF
